CEL: Crystal Entity Layer: iCelPersistentDataList Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelPersistentDataList Struct Reference

A list of persistent data for all the property classes of an entity. More...

`#include <physicallayer/persist.h>`

Inheritance diagram for iCelPersistentDataList:

[legend]
List of all members.

## Public Member Functions
virtual void | AddPersistentData (csRef< iCelDataBuffer > &databuf, csString &pc_name, csString &pc_tag)=0
| To add a new persistent data buffer.
virtual size_t | GetCount () const =0
| Return the number of entries in this list.
virtual bool | GetPersistentData (size_t idx, csRef< iCelDataBuffer > &databuf, csString &pc_name, csString &pc_tag) const =0
| To get the persistent data at the specified position.

## Detailed Description

A list of persistent data for all the property classes of an entity.

The complete state of all the property classes of an entity can be specified with this list. The list can contain one entry per property class. The name and the tag of the property class is used to identify it.

Definition at line 262 of file persist.h.

## Member Function Documentation

virtual void iCelPersistentDataList::AddPersistentData | ( | csRef< iCelDataBuffer > & | databuf,
|  | csString & | pc_name,
|  | csString & | pc_tag |
| ) |  |  | `[pure virtual]`

To add a new persistent data buffer.

Parameters:

  | idx | The index of the entry.
  | databuf | The persistent data.
  | pc_name | The name of the property class associated to the persistent data.
  | pc_tag | The tag of the property class associated to the persistent data.

Implemented in celStandardPersistentDataList.

virtual size_t iCelPersistentDataList::GetCount | ( |  | ) | const`[pure virtual]`

Return the number of entries in this list.

Implemented in celStandardPersistentDataList.

virtual bool iCelPersistentDataList::GetPersistentData | ( | size_t | idx,
|  | csRef< iCelDataBuffer > & | databuf,
|  | csString & | pc_name,
|  | csString & | pc_tag |
| ) |  |  | const`[pure virtual]`

To get the persistent data at the specified position.

Parameters:

  | idx | The index of the entry.
  | databuf | The persistent data.
  | pc_name | The name of the property class associated to the persistent data.
  | pc_tag | The tag of the property class associated to the persistent data.

Implemented in celStandardPersistentDataList.

The documentation for this struct was generated from the following file:

- physicallayer/persist.h